Subject: Re: [Gen-art] Gen-art review of draft-yourtchenko-cisco-ies-09

From: "Moriarty, Kathleen" <[email-masked]>
Date: Mon, 24 Mar 2014 15:07:54 -0400

Thanks for addressing my Gen-art comments to improve readability from the start of the document.

Best regards,
Kathleen

-----Original Message-----
From: Andrew Yourtchenko [mailto:[email-masked]] 
Sent: Thursday, February 13, 2014 3:09 PM
To: Moriarty, Kathleen
Cc: Paul Aitken; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: RE: Gen-art review of draft-yourtchenko-cisco-ies-09

Hello Kathleen,

Today we've uploaded the new revision
http://tools.ietf.org/html/draft-yourtchenko-cisco-ies-10

This document takes into the account the review comments (minus one technical issue that is outside of the authors' control).

Please let us know whether the new changes adequately addresses the review comments.

Many thanks!

--a

On Fri, 31 Jan 2014, Moriarty, Kathleen wrote:

> 
> Hi Paul,
>
> 
> 
> In that case, please update the abstract and introduction to make the 
> intent of the document clear.  It would be helpful for the reader to understand the intent as they start reading the document.
>
> 
> 
> The discussion referenced was posted to [email-masked].  I think folks 
> are addressing that discussion, so there is no need for me to jump 
> into it.  Here is a link that should pull up all the messages on this draft in the last month across all mailing lists:
> 
> https://mailarchive.ietf.org/arch/search/?q=yourtchenko&qdr=m
>
> 
> 
> Best regards,
> 
> Kathleen
>
> 
> 
> From: Paul Aitken [mailto:[email-masked]]
> Sent: Friday, January 31, 2014 4:17 PM
> To: Moriarty, Kathleen; [email-masked]; [email-masked]; 
> [email-masked]
> Cc: [email-masked]; [email-masked]; 
> [email-masked]
> Subject: Re: Gen-art review of draft-yourtchenko-cisco-ies-09
>
> 
> 
> Kathleen, All,
> 
> Apologies for jumping in here, but I wasn't privvy to the earlier discussion to which you allude.
>
>       Summary:  This draft extends RFC3954, but is specific to Cisco.
> 
> 
> No, this draft does not extend RFC 3954.
> 
> RFC 3954 specifies the NFv9 Protocol and the associated Information 
> Model. The model is extensible, and I own the netflow-police hat for reviewing, approving, and actioning NFv9 extensions.
> 
> The IPFIX Protocol (RFC 7011) has its own Information Model (RFC 7012, 
> IANA) which is also extensible upon application to IANA, subject to expert review by IE-doctors (RFC 7013).
> 
> The yourtchenko-cisco-ies draft extends the IPFIX Information model. Per section 6 of the draft, "IANA Considerations":
>
> 
>
>    This document specifies several new IPFIX Information Elements in 
> the
>
>    IPFIX Information Element registry
> 
> 
> The IPFIX Information Model was initially based upon the NFv9 
> Information Model. Indeed, the two are generally considered to be synonymous.
> 
> The extensions which are being added to the IPFIX model seek to retain 
> that synonymity by describing NFv9 elements which were not known or 
> defined at the time RFC 3954 was written. These can be adopted into 
> the IPFIX Information Model to retain compatibility, rather than defining equivalent IPFIX elements with different IDs from NFv9 and thus complicating life for every netflow collector.
> 
> Note that this is not a change to either the NFv9 or IPFIX protocols.
> 
> 
> P.
>
> 
> 
> 
>

---

From: Jari Arkko <[email-masked]>
Date: Thu, 27 Mar 2014 14:03:39 +0200

Kathleen et al - thanks for the review, re-review & the updates.

Jari

On Mar 24, 2014, at 9:07 PM, "Moriarty, Kathleen" <[email-masked]> wrote:

> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art